<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Dedi\SyliusBlogPlugin\Domain\Blog\Adapter\AuthorInterface as BaseAuthorInterfaceAlias;
use Sylius\Component\Core\Model\ImageInterface;
use Sylius\Component\Resource\Model\ResourceInterface;

interface AuthorInterface extends ResourceInterface, BaseAuthorInterfaceAlias
{
    public function setUsername(?string $username): self;

    public function setAvatar(?ImageInterface $avatar): self;
}
